Package ch.qos.logback.core

# Interface Appender<E>

All Superinterfaces:
  `ContextAware`, `FilterAttachable<E>`, `LifeCycle`

All Known Implementing Classes:
  `AbstractServerSocketAppender`, `AbstractSocketAppender`, `AbstractSSLSocketAppender`, `AppenderBase`, `AsyncAppender`, `AsyncAppenderBase`, `ConsoleAppender`, `CyclicBufferAppender`, `FileAppender`, `ListAppender`, `NOPAppender`, `OutputStreamAppender`, `RollingFileAppender`, `ServerSocketAppender`, `ServerSocketAppender`, `SiftingAppender`, `SiftingAppender`, `SiftingAppenderBase`, `SMTPAppender`, `SMTPAppender`, `SMTPAppenderBase`, `SocketAppender`, `SocketAppender`, `SSLServerSocketAppender`, `SSLServerSocketAppender`, `SSLServerSocketAppenderBase`, `SSLSocketAppender`, `SSLSocketAppender`, `SyslogAppender`, `SyslogAppenderBase`, `UnsynchronizedAppenderBase`

public interface Appender<E> extends LifeCycle, ContextAware, FilterAttachable<E>

## Method Summary

Modifier and Type
Method
Description
`void`
`doAppend(E event)`
This is where an appender accomplishes its work.
`String`
`getName()`
Get the name of this appender.
`void`
`setName(String name)`
Set the name of this appender.

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface ch.qos.logback.core.spi.FilterAttachable

`addFilter, clearAllFilters, getCopyOfAttachedFiltersList, getFilterChainDecision`

### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

`isStarted, start, stop`

## Method Details

### getName

String getName()
Get the name of this appender. The name uniquely identifies the appender.

### doAppend

void doAppend(E event) throws LogbackException
This is where an appender accomplishes its work. Note that the argument is of type Object.

Parameters:
  `event` -
Throws:
  `LogbackException`

### setName

void setName(String name)
Set the name of this appender. The name is used by other components to identify this appender.